// aunzip.h
//
// C/C++ header file for addUNZIP compression libraries
//
// Copyright  1995,1997 Stephen Darlington. All rights reserved.
//


// constants for addUNZIP_Overwrite(...)
#define OVERWRITE_QUERY 10
#define OVERWRITE_ALL 11
#define OVERWRITE_NONE 12
//
// function prototypes
#ifdef __cplusplus
extern "C"
{
#endif

int CALLBACK _export addUNZIP(void);
int CALLBACK _export addUNZIP_ArchiveName(LPSTR);
int CALLBACK _export addUNZIP_Decrypt(LPSTR);
int CALLBACK _export addUNZIP_DisplayComment(int);
int CALLBACK _export addUNZIP_Exclude(LPSTR);
int CALLBACK _export addUNZIP_ExcludeListFile(LPSTR);
int CALLBACK _export addUNZIP_ExtractTo(LPSTR);
int CALLBACK _export addUNZIP_Freshen(int);
int CALLBACK _export addUNZIP_GetLastError(void);
int CALLBACK _export addUNZIP_GetLastWarning(void);
int CALLBACK _export addUNZIP_Include(LPSTR);
int CALLBACK _export addUNZIP_IncludeListFile(LPSTR);
int CALLBACK _export addUNZIP_Overwrite(int);
int CALLBACK _export addUNZIP_Register(LPSTR, DWORD);
void CALLBACK _export addUNZIP_ResetDefaults(void);
int CALLBACK _export addUNZIP_RestoreStructure(int);
int CALLBACK _export addUNZIP_SetParentWindowHandle(HWND);
int CALLBACK _export addUNZIP_SetWindowHandle(HWND);
int CALLBACK _export addUNZIP_Test(int);
int CALLBACK _export addUNZIP_ToMemory(LPSTR, long);
int CALLBACK _export addUNZIP_Update(int);
int CALLBACK _export addUNZIP_View(int);

#ifdef __cplusplus
}
#endif
